# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name smallcheck

Name:           ghc-%{pkg_name}
Version:        1.0.4
Release:        2%{?dist}
Summary:        A property-based testing library

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-logict-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pretty-devel
# End cabal-rpm deps

%description
SmallCheck is a testing library that allows to verify properties for
all test cases up to some depth. The test cases are generated automatically.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Mon Sep  2 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.0.4-2
- Rebuilt

* Thu Aug 29 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.0.4-1
- new upstream version 1.0.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 1.0.2-2
- update to new simplified Haskell Packaging Guidelines

* Mon Mar 18 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.0.2-1
- new upstream version 1.0.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.6.1-3
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.6.1-1
- Updated common summary and description.
- Added BR ghc-dlist-devel.
- Spec file template generated by cabal2spec-0.25.5.
